# Interface ICefMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMediaRouteCreateCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface for ICefMediaRouter.CreateRoute. The functions of this interface will be called on the browser process UI thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_create_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMediaRouteCreateCallback

## Overview

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);`

## Description

### Methods

| `procedure OnMediaRouteCreateFinished(result: TCefMediaRouterCreateResult; const error: ustring; const route: ICefMediaRoute);`
Method that will be executed when the route creation has finished. |result| will be CEF_MRCR_OK if the route creation succeeded. |error| will be a description of the error if the route creation failed. |route| is the resulting route, or NULL if the route creation failed. ###### Attributes GUID['{8848CBFE-36AC-4AC8-BC10-386B69FB27BE}']

Generated by PasDoc 0.16.0-snapshot.